vetur 插件提示 Elements in iteration expect to have 'v-bind:key' directives.

释放双眼,带上耳机,听听看~!

忙,终于把一模块的功能移交测试人员了。可以歇一下了。赶紧趁着机会把vue拾起来,要不然前端时间学的就忘掉了。

vue最基础的东西都看完了。我觉得光看还不如直接做项目学东西快。直接上手尝试做项目,不懂就百度、官网api等来源查。这样学起来效率反而更高。

这次着手的是WordPress Rest Api 获取数据来进行渲染学习

用的VS Code 工具,安装了vetur插件,报错了如下

[eslint-plugin-vue]
[vue/require-v-for-key]
Elements in iteration expect to have 'v-bind:key' directives.

报错原因

Vue 2.2.0+ 的版本里,当在组件中使用v-for时,key是必须的。

解决方法

在用户配置文件中加入

"vetur.validation.template": false

功夫常常是会负有心人的;功夫负不负有心人本该没有那么重要的,“有心”的价值是不能用“负不负”来衡量的。——刘瑜 《送你一颗子弹》

人已赞赏
0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧